<?php
session_start(); // Initialize Session data
ob_start(); // Turn on output buffering
?>
<?php include "ewcfg7.php" ?>
<?php include "ewmysql7.php" ?>
<?php include "phpfn7.php" ?>
<?php include "tbl_cruise_photoinfo.php" ?>
<?php include "tbl_admininfo.php" ?>
<?php include "tbl_cruiseinfo.php" ?>
<?php include "userfn7.php" ?>
<?php
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT"); // Date in the past
header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT"); // Always modified
header("Cache-Control: private, no-store, no-cache, must-revalidate"); // HTTP/1.1 
header("Cache-Control: post-check=0, pre-check=0", false);
header("Pragma: no-cache"); // HTTP/1.0
?>
<?php

// Create page object
$tbl_cruise_photo_edit = new ctbl_cruise_photo_edit();
$Page =& $tbl_cruise_photo_edit;

// Page init
$tbl_cruise_photo_edit->Page_Init();

// Page main
$tbl_cruise_photo_edit->Page_Main();
?>
<?php include "header.php" ?>
<script type="text/javascript">
<!--

// Create page object
var tbl_cruise_photo_edit = new ew_Page("tbl_cruise_photo_edit");

// page properties
tbl_cruise_photo_edit.PageID = "edit"; // page ID
tbl_cruise_photo_edit.FormID = "ftbl_cruise_photoedit"; // form ID
var EW_PAGE_ID = tbl_cruise_photo_edit.PageID; // for backward compatibility

// extend page with ValidateForm function
tbl_cruise_photo_edit.ValidateForm = function(fobj) {
	ew_PostAutoSuggest(fobj);
	if (!this.ValidateRequired)
		return true; // ignore validation
	if (fobj.a_confirm && fobj.a_confirm.value == "F")
		return true;
	var i, elm, aelm, infix;
	var rowcnt = (fobj.key_count) ? Number(fobj.key_count.value) : 1;
	for (i=0; i<rowcnt; i++) {
		infix = (fobj.key_count) ? String(i+1) : "";
		elm = fobj.elements["x" + infix + "_cruise_id"];
		if (elm && !ew_HasValue(elm))
			return ew_OnError(this, elm, ewLanguage.Phrase("EnterRequiredField") + " - <?php echo ew_JsEncode2($tbl_cruise_photo->cruise_id->FldCaption()) ?>");
		elm = fobj.elements["x" + infix + "_photo"];
		aelm = fobj.elements["a" + infix + "_photo"];
		var chk_photo = (aelm && aelm[0])?(aelm[2].checked):true;
		if (elm && chk_photo && !ew_HasValue(elm))
			return ew_OnError(this, elm, ewLanguage.Phrase("EnterRequiredField") + " - <?php echo ew_JsEncode2($tbl_cruise_photo->photo->FldCaption()) ?>");
		elm = fobj.elements["x" + infix + "_photo"];
		if (elm && !ew_CheckFileType(elm.value))
			return ew_OnError(this, elm, ewLanguage.Phrase("WrongFileType"));
		elm = fobj.elements["x" + infix + "_photo_thum"];
		aelm = fobj.elements["a" + infix + "_photo_thum"];
		var chk_photo_thum = (aelm && aelm[0])?(aelm[2].checked):true;
		if (elm && chk_photo_thum && !ew_HasValue(elm))
			return ew_OnError(this, elm, ewLanguage.Phrase("EnterRequiredField") + " - <?php echo ew_JsEncode2($tbl_cruise_photo->photo_thum->FldCaption()) ?>");
		elm = fobj.elements["x" + infix + "_photo_thum"];
		if (elm && !ew_CheckFileType(elm.value))
			return ew_OnError(this, elm, ewLanguage.Phrase("WrongFileType"));
		elm = fobj.elements["x" + infix + "_order_by"];
		if (elm && !ew_HasValue(elm))
			return ew_OnError(this, elm, ewLanguage.Phrase("EnterRequiredField") + " - <?php echo ew_JsEncode2($tbl_cruise_photo->order_by->FldCaption()) ?>");
		elm = fobj.elements["x" + infix + "_order_by"];
		if (elm && !ew_CheckInteger(elm.value))
			return ew_OnError(this, elm, "<?php echo ew_JsEncode2($tbl_cruise_photo->order_by->FldErrMsg()) ?>");

		// Call Form Custom Validate event
		if (!this.Form_CustomValidate(fobj)) return false;
	}
	return true;
}

// extend page with Form_CustomValidate function
tbl_cruise_photo_edit.Form_CustomValidate =  
 function(fobj) { // DO NOT CHANGE THIS LINE!

 	// Your custom validation code here, return false if invalid. 
 	return true;
 }
<?php if (EW_CLIENT_VALIDATE) { ?>
tbl_cruise_photo_edit.ValidateRequired = true; // uses JavaScript validation
<?php } else { ?>
tbl_cruise_photo_edit.ValidateRequired = false; // no JavaScript validation
<?php } ?>

//-->
</script>
<script type="text/javascript">
<!--
var ew_DHTMLEditors = [];

//-->
</script>
<script language="JavaScript" type="text/javascript">
<!--

// Write your client script here, no need to add script tags.
// To include another .js script, use:
// ew_ClientScriptInclude("my_javascript.js"); 
//-->

</script>
<p><span class="phpmaker"><?php echo $Language->Phrase("Edit") ?>&nbsp;<?php echo $Language->Phrase("TblTypeTABLE") ?><?php echo $tbl_cruise_photo->TableCaption() ?><br><br>
<a href="<?php echo $tbl_cruise_photo->getReturnUrl() ?>"><?php echo $Language->Phrase("GoBack") ?></a></span></p>
<?php
if (EW_DEBUG_ENABLED)
	echo ew_DebugMsg();
$tbl_cruise_photo_edit->ShowMessage();
?>
<form name="ftbl_cruise_photoedit" id="ftbl_cruise_photoedit" action="<?php echo ew_CurrentPage() ?>" method="post" enctype="multipart/form-data" onsubmit="return tbl_cruise_photo_edit.ValidateForm(this);">
<p>
<input type="hidden" name="a_table" id="a_table" value="tbl_cruise_photo">
<input type="hidden" name="a_edit" id="a_edit" value="U">
<table cellspacing="0" class="ewGrid"><tr><td class="ewGridContent">
<div class="ewGridMiddlePanel">
<table cellspacing="0" class="ewTable">
<?php if ($tbl_cruise_photo->cruise_photo_id->Visible) { // cruise_photo_id ?>
	<tr<?php echo $tbl_cruise_photo->RowAttributes() ?>>
		<td class="ewTableHeader"><?php echo $tbl_cruise_photo->cruise_photo_id->FldCaption() ?></td>
		<td<?php echo $tbl_cruise_photo->cruise_photo_id->CellAttributes() ?>><span id="el_cruise_photo_id">
<div<?php echo $tbl_cruise_photo->cruise_photo_id->ViewAttributes() ?>><?php echo $tbl_cruise_photo->cruise_photo_id->EditValue ?></div><input type="hidden" name="x_cruise_photo_id" id="x_cruise_photo_id" value="<?php echo ew_HtmlEncode($tbl_cruise_photo->cruise_photo_id->CurrentValue) ?>">
</span><?php echo $tbl_cruise_photo->cruise_photo_id->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tbl_cruise_photo->cruise_id->Visible) { // cruise_id ?>
	<tr<?php echo $tbl_cruise_photo->RowAttributes() ?>>
		<td class="ewTableHeader"><?php echo $tbl_cruise_photo->cruise_id->FldCaption() ?><?php echo $Language->Phrase("FieldRequiredIndicator") ?></td>
		<td<?php echo $tbl_cruise_photo->cruise_id->CellAttributes() ?>><span id="el_cruise_id">
<?php if ($tbl_cruise_photo->cruise_id->getSessionValue() <> "") { ?>
<div<?php echo $tbl_cruise_photo->cruise_id->ViewAttributes() ?>><?php echo $tbl_cruise_photo->cruise_id->ViewValue ?></div>
<input type="hidden" id="x_cruise_id" name="x_cruise_id" value="<?php echo ew_HtmlEncode($tbl_cruise_photo->cruise_id->CurrentValue) ?>">
<?php } else { ?>
<select id="x_cruise_id" name="x_cruise_id" title="<?php echo $tbl_cruise_photo->cruise_id->FldTitle() ?>"<?php echo $tbl_cruise_photo->cruise_id->EditAttributes() ?>>
<?php
if (is_array($tbl_cruise_photo->cruise_id->EditValue)) {
	$arwrk = $tbl_cruise_photo->cruise_id->EditValue;
	$rowswrk = count($arwrk);
	$emptywrk = TRUE;
	for ($rowcntwrk = 0; $rowcntwrk < $rowswrk; $rowcntwrk++) {
		$selwrk = (strval($tbl_cruise_photo->cruise_id->CurrentValue) == strval($arwrk[$rowcntwrk][0])) ? " selected=\"selected\"" : "";
		if ($selwrk <> "") $emptywrk = FALSE;
?>
<option value="<?php echo ew_HtmlEncode($arwrk[$rowcntwrk][0]) ?>"<?php echo $selwrk ?>>
<?php echo $arwrk[$rowcntwrk][1] ?>
</option>
<?php
	}
}
?>
</select>
<?php } ?>
</span><?php echo $tbl_cruise_photo->cruise_id->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tbl_cruise_photo->photo->Visible) { // photo ?>
	<tr<?php echo $tbl_cruise_photo->RowAttributes() ?>>
		<td class="ewTableHeader"><?php echo $tbl_cruise_photo->photo->FldCaption() ?><?php echo $Language->Phrase("FieldRequiredIndicator") ?></td>
		<td<?php echo $tbl_cruise_photo->photo->CellAttributes() ?>><span id="el_photo">
<div id="old_x_photo">
<?php if ($tbl_cruise_photo->photo->HrefValue <> "" || $tbl_cruise_photo->photo->TooltipValue <> "") { ?>
<?php if (!empty($tbl_cruise_photo->photo->Upload->DbValue)) { ?>
<img src="<?php echo ew_UploadPathEx(FALSE, $tbl_cruise_photo->photo->UploadPath) . $tbl_cruise_photo->photo->Upload->DbValue ?>" border=0<?php echo $tbl_cruise_photo->photo->ViewAttributes() ?>>
<?php } elseif (!in_array($tbl_cruise_photo->CurrentAction, array("I", "edit", "gridedit"))) { ?>	
&nbsp;
<?php } ?>
<?php } else { ?>
<?php if (!empty($tbl_cruise_photo->photo->Upload->DbValue)) { ?>
<img src="<?php echo ew_UploadPathEx(FALSE, $tbl_cruise_photo->photo->UploadPath) . $tbl_cruise_photo->photo->Upload->DbValue ?>" border=0<?php echo $tbl_cruise_photo->photo->ViewAttributes() ?>>
<?php } elseif (!in_array($tbl_cruise_photo->CurrentAction, array("I", "edit", "gridedit"))) { ?>	
&nbsp;
<?php } ?>
<?php } ?>
</div>
<div id="new_x_photo">
<?php if (!empty($tbl_cruise_photo->photo->Upload->DbValue)) { ?>
<label><input type="radio" name="a_photo" id="a_photo" value="1" checked="checked"><?php echo $Language->Phrase("Keep") ?></label>&nbsp;
<label><input type="radio" name="a_photo" id="a_photo" value="2" disabled="disabled"><?php echo $Language->Phrase("Remove") ?></label>&nbsp;
<label><input type="radio" name="a_photo" id="a_photo" value="3"><?php echo $Language->Phrase("Replace") ?><br></label>
<?php $tbl_cruise_photo->photo->EditAttrs["onchange"] = "this.form.a_photo[2].checked=true;" . @$tbl_cruise_photo->photo->EditAttrs["onchange"]; ?>
<?php } else { ?>
<input type="hidden" name="a_photo" id="a_photo" value="3">
<?php } ?>
<input type="file" name="x_photo" id="x_photo" title="<?php echo $tbl_cruise_photo->photo->FldTitle() ?>" size="30"<?php echo $tbl_cruise_photo->photo->EditAttributes() ?>>
</div>
</span><?php echo $tbl_cruise_photo->photo->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tbl_cruise_photo->photo_thum->Visible) { // photo_thum ?>
	<tr<?php echo $tbl_cruise_photo->RowAttributes() ?>>
		<td class="ewTableHeader"><?php echo $tbl_cruise_photo->photo_thum->FldCaption() ?><?php echo $Language->Phrase("FieldRequiredIndicator") ?></td>
		<td<?php echo $tbl_cruise_photo->photo_thum->CellAttributes() ?>><span id="el_photo_thum">
<div id="old_x_photo_thum">
<?php if ($tbl_cruise_photo->photo_thum->HrefValue <> "" || $tbl_cruise_photo->photo_thum->TooltipValue <> "") { ?>
<?php if (!empty($tbl_cruise_photo->photo_thum->Upload->DbValue)) { ?>
<img src="<?php echo ew_UploadPathEx(FALSE, $tbl_cruise_photo->photo_thum->UploadPath) . $tbl_cruise_photo->photo_thum->Upload->DbValue ?>" border=0<?php echo $tbl_cruise_photo->photo_thum->ViewAttributes() ?>>
<?php } elseif (!in_array($tbl_cruise_photo->CurrentAction, array("I", "edit", "gridedit"))) { ?>	
&nbsp;
<?php } ?>
<?php } else { ?>
<?php if (!empty($tbl_cruise_photo->photo_thum->Upload->DbValue)) { ?>
<img src="<?php echo ew_UploadPathEx(FALSE, $tbl_cruise_photo->photo_thum->UploadPath) . $tbl_cruise_photo->photo_thum->Upload->DbValue ?>" border=0<?php echo $tbl_cruise_photo->photo_thum->ViewAttributes() ?>>
<?php } elseif (!in_array($tbl_cruise_photo->CurrentAction, array("I", "edit", "gridedit"))) { ?>	
&nbsp;
<?php } ?>
<?php } ?>
</div>
<div id="new_x_photo_thum">
<?php if (!empty($tbl_cruise_photo->photo_thum->Upload->DbValue)) { ?>
<label><input type="radio" name="a_photo_thum" id="a_photo_thum" value="1" checked="checked"><?php echo $Language->Phrase("Keep") ?></label>&nbsp;
<label><input type="radio" name="a_photo_thum" id="a_photo_thum" value="2" disabled="disabled"><?php echo $Language->Phrase("Remove") ?></label>&nbsp;
<label><input type="radio" name="a_photo_thum" id="a_photo_thum" value="3"><?php echo $Language->Phrase("Replace") ?><br></label>
<?php $tbl_cruise_photo->photo_thum->EditAttrs["onchange"] = "this.form.a_photo_thum[2].checked=true;" . @$tbl_cruise_photo->photo_thum->EditAttrs["onchange"]; ?>
<?php } else { ?>
<input type="hidden" name="a_photo_thum" id="a_photo_thum" value="3">
<?php } ?>
<input type="file" name="x_photo_thum" id="x_photo_thum" title="<?php echo $tbl_cruise_photo->photo_thum->FldTitle() ?>" size="30"<?php echo $tbl_cruise_photo->photo_thum->EditAttributes() ?>>
</div>
</span><?php echo $tbl_cruise_photo->photo_thum->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tbl_cruise_photo->order_by->Visible) { // order_by ?>
	<tr<?php echo $tbl_cruise_photo->RowAttributes() ?>>
		<td class="ewTableHeader"><?php echo $tbl_cruise_photo->order_by->FldCaption() ?><?php echo $Language->Phrase("FieldRequiredIndicator") ?></td>
		<td<?php echo $tbl_cruise_photo->order_by->CellAttributes() ?>><span id="el_order_by">
<input type="text" name="x_order_by" id="x_order_by" title="<?php echo $tbl_cruise_photo->order_by->FldTitle() ?>" size="100" value="<?php echo $tbl_cruise_photo->order_by->EditValue ?>"<?php echo $tbl_cruise_photo->order_by->EditAttributes() ?>>
</span><?php echo $tbl_cruise_photo->order_by->CustomMsg ?></td>
	</tr>
<?php } ?>
</table>
</div>
</td></tr></table>
<p>
<input type="submit" name="btnAction" id="btnAction" value="<?php echo ew_BtnCaption($Language->Phrase("EditBtn")) ?>">
</form>
<script language="JavaScript" type="text/javascript">
<!--

// Write your table-specific startup script here
// document.write("page loaded");
//-->

</script>
<?php include "footer.php" ?>
<?php
$tbl_cruise_photo_edit->Page_Terminate();
?>
<?php

//
// Page class
//
class ctbl_cruise_photo_edit {

	// Page ID
	var $PageID = 'edit';

	// Table name
	var $TableName = 'tbl_cruise_photo';

	// Page object name
	var $PageObjName = 'tbl_cruise_photo_edit';

	// Page name
	function PageName() {
		return ew_CurrentPage();
	}

	// Page URL
	function PageUrl() {
		$PageUrl = ew_CurrentPage() . "?";
		global $tbl_cruise_photo;
		if ($tbl_cruise_photo->UseTokenInUrl) $PageUrl .= "t=" . $tbl_cruise_photo->TableVar . "&"; // Add page token
		return $PageUrl;
	}

	// Page URLs
	var $AddUrl;
	var $EditUrl;
	var $CopyUrl;
	var $DeleteUrl;
	var $ViewUrl;
	var $ListUrl;

	// Export URLs
	var $ExportPrintUrl;
	var $ExportHtmlUrl;
	var $ExportExcelUrl;
	var $ExportWordUrl;
	var $ExportXmlUrl;
	var $ExportCsvUrl;

	// Update URLs
	var $InlineAddUrl;
	var $InlineCopyUrl;
	var $InlineEditUrl;
	var $GridAddUrl;
	var $GridEditUrl;
	var $MultiDeleteUrl;
	var $MultiUpdateUrl;

	// Message
	function getMessage() {
		return @$_SESSION[EW_SESSION_MESSAGE];
	}

	function setMessage($v) {
		if (@$_SESSION[EW_SESSION_MESSAGE] <> "") { // Append
			$_SESSION[EW_SESSION_MESSAGE] .= "<br>" . $v;
		} else {
			$_SESSION[EW_SESSION_MESSAGE] = $v;
		}
	}

	// Show message
	function ShowMessage() {
		$sMessage = $this->getMessage();
		$this->Message_Showing($sMessage);
		if ($sMessage <> "") { // Message in Session, display
			echo "<p><span class=\"ewMessage\">" . $sMessage . "</span></p>";
			$_SESSION[EW_SESSION_MESSAGE] = ""; // Clear message in Session
		}
	}

	// Validate page request
	function IsPageRequest() {
		global $objForm, $tbl_cruise_photo;
		if ($tbl_cruise_photo->UseTokenInUrl) {
			if ($objForm)
				return ($tbl_cruise_photo->TableVar == $objForm->GetValue("t"));
			if (@$_GET["t"] <> "")
				return ($tbl_cruise_photo->TableVar == $_GET["t"]);
		} else {
			return TRUE;
		}
	}

	//
	// Page class constructor
	//
	function ctbl_cruise_photo_edit() {
		global $conn, $Language;

		// Language object
		$Language = new cLanguage();

		// Table object (tbl_cruise_photo)
		$GLOBALS["tbl_cruise_photo"] = new ctbl_cruise_photo();

		// Table object (tbl_admin)
		$GLOBALS['tbl_admin'] = new ctbl_admin();

		// Table object (tbl_cruise)
		$GLOBALS['tbl_cruise'] = new ctbl_cruise();

		// Page ID
		if (!defined("EW_PAGE_ID"))
			define("EW_PAGE_ID", 'edit', TRUE);

		// Table name (for backward compatibility)
		if (!defined("EW_TABLE_NAME"))
			define("EW_TABLE_NAME", 'tbl_cruise_photo', TRUE);

		// Start timer
		$GLOBALS["gsTimer"] = new cTimer();

		// Open connection
		$conn = ew_Connect();
	}

	// 
	//  Page_Init
	//
	function Page_Init() {
		global $gsExport, $gsExportFile, $UserProfile, $Language, $Security, $objForm;
		global $tbl_cruise_photo;

		// Security
		$Security = new cAdvancedSecurity();
		if (!$Security->IsLoggedIn()) $Security->AutoLogin();
		if (!$Security->IsLoggedIn()) {
			$Security->SaveLastUrl();
			$this->Page_Terminate("login.php");
		}

		// Create form object
		$objForm = new cFormObj();

		// Global Page Loading event (in userfn*.php)
		Page_Loading();

		// Page Load event
		$this->Page_Load();
	}

	//
	// Page_Terminate
	//
	function Page_Terminate($url = "") {
		global $conn;

		// Page Unload event
		$this->Page_Unload();

		// Global Page Unloaded event (in userfn*.php)
		Page_Unloaded();

		 // Close connection
		$conn->Close();

		// Go to URL if specified
		$this->Page_Redirecting($url);
		if ($url <> "") {
			if (!EW_DEBUG_ENABLED && ob_get_length())
				ob_end_clean();
			header("Location: " . $url);
		}
		exit();
	}
	var $sDbMasterFilter;
	var $sDbDetailFilter;

	// 
	// Page main
	//
	function Page_Main() {
		global $objForm, $Language, $gsFormError, $tbl_cruise_photo;

		// Load key from QueryString
		if (@$_GET["cruise_photo_id"] <> "")
			$tbl_cruise_photo->cruise_photo_id->setQueryStringValue($_GET["cruise_photo_id"]);

		// Set up master detail parameters
		$this->SetUpMasterDetail();
		if (@$_POST["a_edit"] <> "") {
			$tbl_cruise_photo->CurrentAction = $_POST["a_edit"]; // Get action code
			$this->GetUploadFiles(); // Get upload files
			$this->LoadFormValues(); // Get form values

			// Validate form
			if (!$this->ValidateForm()) {
				$tbl_cruise_photo->CurrentAction = ""; // Form error, reset action
				$this->setMessage($gsFormError);
				$tbl_cruise_photo->EventCancelled = TRUE; // Event cancelled
				$this->RestoreFormValues();
			}
		} else {
			$tbl_cruise_photo->CurrentAction = "I"; // Default action is display
		}

		// Check if valid key
		if ($tbl_cruise_photo->cruise_photo_id->CurrentValue == "")
			$this->Page_Terminate("tbl_cruise_photolist.php"); // Invalid key, return to list
		switch ($tbl_cruise_photo->CurrentAction) {
			case "I": // Get a record to display
				if (!$this->LoadRow()) { // Load record based on key
					$this->setMessage($Language->Phrase("NoRecord")); // No record found
					$this->Page_Terminate("tbl_cruise_photolist.php"); // No matching record, return to list
				}
				break;
			Case "U": // Update
				$tbl_cruise_photo->SendEmail = TRUE; // Send email on update success
				if ($this->EditRow()) { // Update record based on key
					$this->setMessage($Language->Phrase("UpdateSuccess")); // Update success
					$sReturnUrl = $tbl_cruise_photo->getReturnUrl();
					$this->Page_Terminate($sReturnUrl); // Return to caller
				} else {
					$tbl_cruise_photo->EventCancelled = TRUE; // Event cancelled
					$this->RestoreFormValues(); // Restore form values if update failed
				}
		}

		// Render the record
		$tbl_cruise_photo->RowType = EW_ROWTYPE_EDIT; // Render as Edit
		$this->RenderRow();
	}

	// Get upload files
	function GetUploadFiles() {
		global $objForm, $tbl_cruise_photo;

		// Get upload data
			if ($tbl_cruise_photo->photo->Upload->UploadFile()) {

				// No action required
			} else {
				echo $tbl_cruise_photo->photo->Upload->Message;
				$this->Page_Terminate();
				exit();
			}
			if ($tbl_cruise_photo->photo_thum->Upload->UploadFile()) {

				// No action required
			} else {
				echo $tbl_cruise_photo->photo_thum->Upload->Message;
				$this->Page_Terminate();
				exit();
			}
	}

	// Load form values
	function LoadFormValues() {

		// Load from form
		global $objForm, $tbl_cruise_photo;
		$tbl_cruise_photo->cruise_photo_id->setFormValue($objForm->GetValue("x_cruise_photo_id"));
		$tbl_cruise_photo->cruise_id->setFormValue($objForm->GetValue("x_cruise_id"));
		$tbl_cruise_photo->order_by->setFormValue($objForm->GetValue("x_order_by"));
	}

	// Restore form values
	function RestoreFormValues() {
		global $objForm, $tbl_cruise_photo;
		$this->LoadRow();
		$tbl_cruise_photo->cruise_photo_id->CurrentValue = $tbl_cruise_photo->cruise_photo_id->FormValue;
		$tbl_cruise_photo->cruise_id->CurrentValue = $tbl_cruise_photo->cruise_id->FormValue;
		$tbl_cruise_photo->order_by->CurrentValue = $tbl_cruise_photo->order_by->FormValue;
	}

	// Load row based on key values
	function LoadRow() {
		global $conn, $Security, $tbl_cruise_photo;
		$sFilter = $tbl_cruise_photo->KeyFilter();

		// Call Row Selecting event
		$tbl_cruise_photo->Row_Selecting($sFilter);

		// Load SQL based on filter
		$tbl_cruise_photo->CurrentFilter = $sFilter;
		$sSql = $tbl_cruise_photo->SQL();
		$res = FALSE;
		$rs = ew_LoadRecordset($sSql);
		if ($rs && !$rs->EOF) {
			$res = TRUE;
			$this->LoadRowValues($rs); // Load row values

			// Call Row Selected event
			$tbl_cruise_photo->Row_Selected($rs);
			$rs->Close();
		}
		return $res;
	}

	// Load row values from recordset
	function LoadRowValues(&$rs) {
		global $conn, $tbl_cruise_photo;
		$tbl_cruise_photo->cruise_photo_id->setDbValue($rs->fields('cruise_photo_id'));
		$tbl_cruise_photo->cruise_id->setDbValue($rs->fields('cruise_id'));
		$tbl_cruise_photo->photo->Upload->DbValue = $rs->fields('photo');
		$tbl_cruise_photo->photo_thum->Upload->DbValue = $rs->fields('photo_thum');
		$tbl_cruise_photo->order_by->setDbValue($rs->fields('order_by'));
	}

	// Render row values based on field settings
	function RenderRow() {
		global $conn, $Security, $Language, $tbl_cruise_photo;

		// Initialize URLs
		// Call Row_Rendering event

		$tbl_cruise_photo->Row_Rendering();

		// Common render codes for all row types
		// cruise_photo_id

		$tbl_cruise_photo->cruise_photo_id->CellCssStyle = ""; $tbl_cruise_photo->cruise_photo_id->CellCssClass = "";
		$tbl_cruise_photo->cruise_photo_id->CellAttrs = array(); $tbl_cruise_photo->cruise_photo_id->ViewAttrs = array(); $tbl_cruise_photo->cruise_photo_id->EditAttrs = array();

		// cruise_id
		$tbl_cruise_photo->cruise_id->CellCssStyle = ""; $tbl_cruise_photo->cruise_id->CellCssClass = "";
		$tbl_cruise_photo->cruise_id->CellAttrs = array(); $tbl_cruise_photo->cruise_id->ViewAttrs = array(); $tbl_cruise_photo->cruise_id->EditAttrs = array();

		// photo
		$tbl_cruise_photo->photo->CellCssStyle = ""; $tbl_cruise_photo->photo->CellCssClass = "";
		$tbl_cruise_photo->photo->CellAttrs = array(); $tbl_cruise_photo->photo->ViewAttrs = array(); $tbl_cruise_photo->photo->EditAttrs = array();

		// photo_thum
		$tbl_cruise_photo->photo_thum->CellCssStyle = ""; $tbl_cruise_photo->photo_thum->CellCssClass = "";
		$tbl_cruise_photo->photo_thum->CellAttrs = array(); $tbl_cruise_photo->photo_thum->ViewAttrs = array(); $tbl_cruise_photo->photo_thum->EditAttrs = array();

		// order_by
		$tbl_cruise_photo->order_by->CellCssStyle = ""; $tbl_cruise_photo->order_by->CellCssClass = "";
		$tbl_cruise_photo->order_by->CellAttrs = array(); $tbl_cruise_photo->order_by->ViewAttrs = array(); $tbl_cruise_photo->order_by->EditAttrs = array();
		if ($tbl_cruise_photo->RowType == EW_ROWTYPE_VIEW) { // View row

			// cruise_photo_id
			$tbl_cruise_photo->cruise_photo_id->ViewValue = $tbl_cruise_photo->cruise_photo_id->CurrentValue;
			$tbl_cruise_photo->cruise_photo_id->CssStyle = "";
			$tbl_cruise_photo->cruise_photo_id->CssClass = "";
			$tbl_cruise_photo->cruise_photo_id->ViewCustomAttributes = "";

			// cruise_id
			if (strval($tbl_cruise_photo->cruise_id->CurrentValue) <> "") {
				$sFilterWrk = "`cruise_id` = " . ew_AdjustSql($tbl_cruise_photo->cruise_id->CurrentValue) . "";
			$sSqlWrk = "SELECT `cruise_name` FROM `tbl_cruise`";
			$sWhereWrk = "";
			if ($sFilterWrk <> "") {
				if ($sWhereWrk <> "") $sWhereWrk .= " AND ";
				$sWhereWrk .= "(" . $sFilterWrk . ")";
			}
			if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
				$rswrk = $conn->Execute($sSqlWrk);
				if ($rswrk && !$rswrk->EOF) { // Lookup values found
					$tbl_cruise_photo->cruise_id->ViewValue = $rswrk->fields('cruise_name');
					$rswrk->Close();
				} else {
					$tbl_cruise_photo->cruise_id->ViewValue = $tbl_cruise_photo->cruise_id->CurrentValue;
				}
			} else {
				$tbl_cruise_photo->cruise_id->ViewValue = NULL;
			}
			$tbl_cruise_photo->cruise_id->CssStyle = "";
			$tbl_cruise_photo->cruise_id->CssClass = "";
			$tbl_cruise_photo->cruise_id->ViewCustomAttributes = "";

			// photo
			if (!ew_Empty($tbl_cruise_photo->photo->Upload->DbValue)) {
				$tbl_cruise_photo->photo->ViewValue = $tbl_cruise_photo->photo->Upload->DbValue;
				$tbl_cruise_photo->photo->ImageWidth = 100;
				$tbl_cruise_photo->photo->ImageHeight = 0;
				$tbl_cruise_photo->photo->ImageAlt = $tbl_cruise_photo->photo->FldAlt();
			} else {
				$tbl_cruise_photo->photo->ViewValue = "";
			}
			$tbl_cruise_photo->photo->CssStyle = "";
			$tbl_cruise_photo->photo->CssClass = "";
			$tbl_cruise_photo->photo->ViewCustomAttributes = "";

			// photo_thum
			if (!ew_Empty($tbl_cruise_photo->photo_thum->Upload->DbValue)) {
				$tbl_cruise_photo->photo_thum->ViewValue = $tbl_cruise_photo->photo_thum->Upload->DbValue;
				$tbl_cruise_photo->photo_thum->ImageWidth = 50;
				$tbl_cruise_photo->photo_thum->ImageHeight = 0;
				$tbl_cruise_photo->photo_thum->ImageAlt = $tbl_cruise_photo->photo_thum->FldAlt();
			} else {
				$tbl_cruise_photo->photo_thum->ViewValue = "";
			}
			$tbl_cruise_photo->photo_thum->CssStyle = "";
			$tbl_cruise_photo->photo_thum->CssClass = "";
			$tbl_cruise_photo->photo_thum->ViewCustomAttributes = "";

			// order_by
			$tbl_cruise_photo->order_by->ViewValue = $tbl_cruise_photo->order_by->CurrentValue;
			$tbl_cruise_photo->order_by->CssStyle = "";
			$tbl_cruise_photo->order_by->CssClass = "";
			$tbl_cruise_photo->order_by->ViewCustomAttributes = "";

			// cruise_photo_id
			$tbl_cruise_photo->cruise_photo_id->HrefValue = "";
			$tbl_cruise_photo->cruise_photo_id->TooltipValue = "";

			// cruise_id
			$tbl_cruise_photo->cruise_id->HrefValue = "";
			$tbl_cruise_photo->cruise_id->TooltipValue = "";

			// photo
			$tbl_cruise_photo->photo->HrefValue = "";
			$tbl_cruise_photo->photo->TooltipValue = "";

			// photo_thum
			$tbl_cruise_photo->photo_thum->HrefValue = "";
			$tbl_cruise_photo->photo_thum->TooltipValue = "";

			// order_by
			$tbl_cruise_photo->order_by->HrefValue = "";
			$tbl_cruise_photo->order_by->TooltipValue = "";
		} elseif ($tbl_cruise_photo->RowType == EW_ROWTYPE_EDIT) { // Edit row

			// cruise_photo_id
			$tbl_cruise_photo->cruise_photo_id->EditCustomAttributes = "";
			$tbl_cruise_photo->cruise_photo_id->EditValue = $tbl_cruise_photo->cruise_photo_id->CurrentValue;
			$tbl_cruise_photo->cruise_photo_id->CssStyle = "";
			$tbl_cruise_photo->cruise_photo_id->CssClass = "";
			$tbl_cruise_photo->cruise_photo_id->ViewCustomAttributes = "";

			// cruise_id
			$tbl_cruise_photo->cruise_id->EditCustomAttributes = "";
			if ($tbl_cruise_photo->cruise_id->getSessionValue() <> "") {
				$tbl_cruise_photo->cruise_id->CurrentValue = $tbl_cruise_photo->cruise_id->getSessionValue();
			if (strval($tbl_cruise_photo->cruise_id->CurrentValue) <> "") {
				$sFilterWrk = "`cruise_id` = " . ew_AdjustSql($tbl_cruise_photo->cruise_id->CurrentValue) . "";
			$sSqlWrk = "SELECT `cruise_name` FROM `tbl_cruise`";
			$sWhereWrk = "";
			if ($sFilterWrk <> "") {
				if ($sWhereWrk <> "") $sWhereWrk .= " AND ";
				$sWhereWrk .= "(" . $sFilterWrk . ")";
			}
			if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
				$rswrk = $conn->Execute($sSqlWrk);
				if ($rswrk && !$rswrk->EOF) { // Lookup values found
					$tbl_cruise_photo->cruise_id->ViewValue = $rswrk->fields('cruise_name');
					$rswrk->Close();
				} else {
					$tbl_cruise_photo->cruise_id->ViewValue = $tbl_cruise_photo->cruise_id->CurrentValue;
				}
			} else {
				$tbl_cruise_photo->cruise_id->ViewValue = NULL;
			}
			$tbl_cruise_photo->cruise_id->CssStyle = "";
			$tbl_cruise_photo->cruise_id->CssClass = "";
			$tbl_cruise_photo->cruise_id->ViewCustomAttributes = "";
			} else {
				$sFilterWrk = "";
			$sSqlWrk = "SELECT `cruise_id`, `cruise_name`, '' AS Disp2Fld, '' AS SelectFilterFld FROM `tbl_cruise`";
			$sWhereWrk = "";
			if ($sFilterWrk <> "") {
				if ($sWhereWrk <> "") $sWhereWrk .= " AND ";
				$sWhereWrk .= "(" . $sFilterWrk . ")";
			}
			if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = $conn->Execute($sSqlWrk);
			$arwrk = ($rswrk) ? $rswrk->GetRows() : array();
			if ($rswrk) $rswrk->Close();
			array_unshift($arwrk, array("", $Language->Phrase("PleaseSelect")));
			$tbl_cruise_photo->cruise_id->EditValue = $arwrk;
			}

			// photo
			$tbl_cruise_photo->photo->EditCustomAttributes = "";
			if (!ew_Empty($tbl_cruise_photo->photo->Upload->DbValue)) {
				$tbl_cruise_photo->photo->EditValue = $tbl_cruise_photo->photo->Upload->DbValue;
				$tbl_cruise_photo->photo->ImageWidth = 100;
				$tbl_cruise_photo->photo->ImageHeight = 0;
				$tbl_cruise_photo->photo->ImageAlt = $tbl_cruise_photo->photo->FldAlt();
			} else {
				$tbl_cruise_photo->photo->EditValue = "";
			}

			// photo_thum
			$tbl_cruise_photo->photo_thum->EditCustomAttributes = "";
			if (!ew_Empty($tbl_cruise_photo->photo_thum->Upload->DbValue)) {
				$tbl_cruise_photo->photo_thum->EditValue = $tbl_cruise_photo->photo_thum->Upload->DbValue;
				$tbl_cruise_photo->photo_thum->ImageWidth = 50;
				$tbl_cruise_photo->photo_thum->ImageHeight = 0;
				$tbl_cruise_photo->photo_thum->ImageAlt = $tbl_cruise_photo->photo_thum->FldAlt();
			} else {
				$tbl_cruise_photo->photo_thum->EditValue = "";
			}

			// order_by
			$tbl_cruise_photo->order_by->EditCustomAttributes = "";
			$tbl_cruise_photo->order_by->EditValue = ew_HtmlEncode($tbl_cruise_photo->order_by->CurrentValue);

			// Edit refer script
			// cruise_photo_id

			$tbl_cruise_photo->cruise_photo_id->HrefValue = "";

			// cruise_id
			$tbl_cruise_photo->cruise_id->HrefValue = "";

			// photo
			$tbl_cruise_photo->photo->HrefValue = "";

			// photo_thum
			$tbl_cruise_photo->photo_thum->HrefValue = "";

			// order_by
			$tbl_cruise_photo->order_by->HrefValue = "";
		}

		// Call Row Rendered event
		if ($tbl_cruise_photo->RowType <> EW_ROWTYPE_AGGREGATEINIT)
			$tbl_cruise_photo->Row_Rendered();
	}

	// Validate form
	function ValidateForm() {
		global $Language, $gsFormError, $tbl_cruise_photo;

		// Initialize form error message
		$gsFormError = "";
		if (!ew_CheckFileType($tbl_cruise_photo->photo->Upload->FileName)) {
			$gsFormError .= ($gsFormError <> "") ? "<br>" : "";
			$gsFormError .= $Language->Phrase("WrongFileType");
		}
		if ($tbl_cruise_photo->photo->Upload->FileSize > 0 && EW_MAX_FILE_SIZE > 0 && $tbl_cruise_photo->photo->Upload->FileSize > EW_MAX_FILE_SIZE) {
			$gsFormError .= ($gsFormError <> "") ? "<br>" : "";
			$gsFormError .= str_replace("%s", EW_MAX_FILE_SIZE, $Language->Phrase("MaxFileSize"));
		}
		if (in_array($tbl_cruise_photo->photo->Upload->Error, array(1, 2, 3, 6, 7, 8))) {
			$gsFormError .= ($gsFormError <> "") ? "<br>" : "";
			$gsFormError .= $Language->Phrase("PhpUploadErr" . $tbl_cruise_photo->photo->Upload->Error);
		}
		if (!ew_CheckFileType($tbl_cruise_photo->photo_thum->Upload->FileName)) {
			$gsFormError .= ($gsFormError <> "") ? "<br>" : "";
			$gsFormError .= $Language->Phrase("WrongFileType");
		}
		if ($tbl_cruise_photo->photo_thum->Upload->FileSize > 0 && EW_MAX_FILE_SIZE > 0 && $tbl_cruise_photo->photo_thum->Upload->FileSize > EW_MAX_FILE_SIZE) {
			$gsFormError .= ($gsFormError <> "") ? "<br>" : "";
			$gsFormError .= str_replace("%s", EW_MAX_FILE_SIZE, $Language->Phrase("MaxFileSize"));
		}
		if (in_array($tbl_cruise_photo->photo_thum->Upload->Error, array(1, 2, 3, 6, 7, 8))) {
			$gsFormError .= ($gsFormError <> "") ? "<br>" : "";
			$gsFormError .= $Language->Phrase("PhpUploadErr" . $tbl_cruise_photo->photo_thum->Upload->Error);
		}

		// Check if validation required
		if (!EW_SERVER_VALIDATE)
			return ($gsFormError == "");
		if (!is_null($tbl_cruise_photo->cruise_id->FormValue) && $tbl_cruise_photo->cruise_id->FormValue == "") {
			$gsFormError .= ($gsFormError <> "") ? "<br>" : "";
			$gsFormError .= $Language->Phrase("EnterRequiredField") . " - " . $tbl_cruise_photo->cruise_id->FldCaption();
		}
		if ($tbl_cruise_photo->photo->Upload->Action == "3" && is_null($tbl_cruise_photo->photo->Upload->Value)) {
			$gsFormError .= ($gsFormError <> "") ? "<br>" : "";
			$gsFormError .= $Language->Phrase("EnterRequiredField") . " - " . $tbl_cruise_photo->photo->FldCaption();
		}
		if ($tbl_cruise_photo->photo_thum->Upload->Action == "3" && is_null($tbl_cruise_photo->photo_thum->Upload->Value)) {
			$gsFormError .= ($gsFormError <> "") ? "<br>" : "";
			$gsFormError .= $Language->Phrase("EnterRequiredField") . " - " . $tbl_cruise_photo->photo_thum->FldCaption();
		}
		if (!is_null($tbl_cruise_photo->order_by->FormValue) && $tbl_cruise_photo->order_by->FormValue == "") {
			$gsFormError .= ($gsFormError <> "") ? "<br>" : "";
			$gsFormError .= $Language->Phrase("EnterRequiredField") . " - " . $tbl_cruise_photo->order_by->FldCaption();
		}
		if (!ew_CheckInteger($tbl_cruise_photo->order_by->FormValue)) {
			if ($gsFormError <> "") $gsFormError .= "<br>";
			$gsFormError .= $tbl_cruise_photo->order_by->FldErrMsg();
		}

		// Return validate result
		$ValidateForm = ($gsFormError == "");

		// Call Form_CustomValidate event
		$sFormCustomError = "";
		$ValidateForm = $ValidateForm && $this->Form_CustomValidate($sFormCustomError);
		if ($sFormCustomError <> "") {
			$gsFormError .= ($gsFormError <> "") ? "<br>" : "";
			$gsFormError .= $sFormCustomError;
		}
		return $ValidateForm;
	}

	// Update record based on key values
	function EditRow() {
		global $conn, $Security, $Language, $tbl_cruise_photo;
		$sFilter = $tbl_cruise_photo->KeyFilter();
		$tbl_cruise_photo->CurrentFilter = $sFilter;
		$sSql = $tbl_cruise_photo->SQL();
		$conn->raiseErrorFn = 'ew_ErrorFn';
		$rs = $conn->Execute($sSql);
		$conn->raiseErrorFn = '';
		if ($rs === FALSE)
			return FALSE;
		if ($rs->EOF) {
			$EditRow = FALSE; // Update Failed
		} else {

			// Save old values
			$rsold =& $rs->fields;
			$rsnew = array();

			// cruise_id
			$tbl_cruise_photo->cruise_id->SetDbValueDef($rsnew, $tbl_cruise_photo->cruise_id->CurrentValue, 0, FALSE);

			// photo
			$tbl_cruise_photo->photo->Upload->SaveToSession(); // Save file value to Session
						if ($tbl_cruise_photo->photo->Upload->Action == "2" || $tbl_cruise_photo->photo->Upload->Action == "3") { // Update/Remove
			$tbl_cruise_photo->photo->Upload->DbValue = $rs->fields('photo'); // Get original value
			if (is_null($tbl_cruise_photo->photo->Upload->Value)) {
				$rsnew['photo'] = NULL;
			} else {
				$rsnew['photo'] = ew_UploadFileNameEx(ew_UploadPathEx(TRUE, $tbl_cruise_photo->photo->UploadPath), $tbl_cruise_photo->photo->Upload->FileName);
			}
			$tbl_cruise_photo->photo->ImageWidth = 880; // Resize width
			$tbl_cruise_photo->photo->ImageHeight = 353; // Resize height
			}

			// photo_thum
			$tbl_cruise_photo->photo_thum->Upload->SaveToSession(); // Save file value to Session
						if ($tbl_cruise_photo->photo_thum->Upload->Action == "2" || $tbl_cruise_photo->photo_thum->Upload->Action == "3") { // Update/Remove
			$tbl_cruise_photo->photo_thum->Upload->DbValue = $rs->fields('photo_thum'); // Get original value
			if (is_null($tbl_cruise_photo->photo_thum->Upload->Value)) {
				$rsnew['photo_thum'] = NULL;
			} else {
				$rsnew['photo_thum'] = ew_UploadFileNameEx(ew_UploadPathEx(TRUE, $tbl_cruise_photo->photo_thum->UploadPath), $tbl_cruise_photo->photo_thum->Upload->FileName);
			}
			$tbl_cruise_photo->photo_thum->ImageWidth = 82; // Resize width
			$tbl_cruise_photo->photo_thum->ImageHeight = 53; // Resize height
			}

			// order_by
			$tbl_cruise_photo->order_by->SetDbValueDef($rsnew, $tbl_cruise_photo->order_by->CurrentValue, 0, FALSE);

			// Call Row Updating event
			$bUpdateRow = $tbl_cruise_photo->Row_Updating($rsold, $rsnew);
			if ($bUpdateRow) {
			if (!ew_Empty($tbl_cruise_photo->photo->Upload->Value)) {
				$tbl_cruise_photo->photo->Upload->RestoreFromSession(); // Restore original value
				$tbl_cruise_photo->photo->Upload->Resize($tbl_cruise_photo->photo->ImageWidth, $tbl_cruise_photo->photo->ImageHeight, 75);
			}
			$tbl_cruise_photo->photo->ImageWidth = 0; // Reset image width
			$tbl_cruise_photo->photo->ImageHeight = 0; // Reset image height
			if (!ew_Empty($tbl_cruise_photo->photo->Upload->Value)) {
				$tbl_cruise_photo->photo->Upload->SaveToFile($tbl_cruise_photo->photo->UploadPath, $rsnew['photo'], FALSE);
			}
			if (!ew_Empty($tbl_cruise_photo->photo_thum->Upload->Value)) {
				$tbl_cruise_photo->photo_thum->Upload->RestoreFromSession(); // Restore original value
				$tbl_cruise_photo->photo_thum->Upload->Resize($tbl_cruise_photo->photo_thum->ImageWidth, $tbl_cruise_photo->photo_thum->ImageHeight, 75);
			}
			$tbl_cruise_photo->photo_thum->ImageWidth = 0; // Reset image width
			$tbl_cruise_photo->photo_thum->ImageHeight = 0; // Reset image height
			if (!ew_Empty($tbl_cruise_photo->photo_thum->Upload->Value)) {
				$tbl_cruise_photo->photo_thum->Upload->SaveToFile($tbl_cruise_photo->photo_thum->UploadPath, $rsnew['photo_thum'], FALSE);
			}
				$conn->raiseErrorFn = 'ew_ErrorFn';
				$EditRow = $conn->Execute($tbl_cruise_photo->UpdateSQL($rsnew));
				$conn->raiseErrorFn = '';
			} else {
				if ($tbl_cruise_photo->CancelMessage <> "") {
					$this->setMessage($tbl_cruise_photo->CancelMessage);
					$tbl_cruise_photo->CancelMessage = "";
				} else {
					$this->setMessage($Language->Phrase("UpdateCancelled"));
				}
				$EditRow = FALSE;
			}
		}

		// Call Row_Updated event
		if ($EditRow)
			$tbl_cruise_photo->Row_Updated($rsold, $rsnew);
		$rs->Close();

		// photo
		$tbl_cruise_photo->photo->Upload->RemoveFromSession(); // Remove file value from Session

		// photo_thum
		$tbl_cruise_photo->photo_thum->Upload->RemoveFromSession(); // Remove file value from Session
		return $EditRow;
	}

	// Set up master/detail based on QueryString
	function SetUpMasterDetail() {
		global $tbl_cruise_photo;
		$bValidMaster = FALSE;

		// Get the keys for master table
		if (@$_GET[EW_TABLE_SHOW_MASTER] <> "") {
			$sMasterTblVar = $_GET[EW_TABLE_SHOW_MASTER];
			if ($sMasterTblVar == "") {
				$bValidMaster = TRUE;
				$this->sDbMasterFilter = "";
				$this->sDbDetailFilter = "";
			}
			if ($sMasterTblVar == "tbl_cruise") {
				$bValidMaster = TRUE;
				$this->sDbMasterFilter = $tbl_cruise_photo->SqlMasterFilter_tbl_cruise();
				$this->sDbDetailFilter = $tbl_cruise_photo->SqlDetailFilter_tbl_cruise();
				if (@$_GET["cruise_id"] <> "") {
					$GLOBALS["tbl_cruise"]->cruise_id->setQueryStringValue($_GET["cruise_id"]);
					$tbl_cruise_photo->cruise_id->setQueryStringValue($GLOBALS["tbl_cruise"]->cruise_id->QueryStringValue);
					$tbl_cruise_photo->cruise_id->setSessionValue($tbl_cruise_photo->cruise_id->QueryStringValue);
					if (!is_numeric($GLOBALS["tbl_cruise"]->cruise_id->QueryStringValue)) $bValidMaster = FALSE;
					$this->sDbMasterFilter = str_replace("@cruise_id@", ew_AdjustSql($GLOBALS["tbl_cruise"]->cruise_id->QueryStringValue), $this->sDbMasterFilter);
					$this->sDbDetailFilter = str_replace("@cruise_id@", ew_AdjustSql($GLOBALS["tbl_cruise"]->cruise_id->QueryStringValue), $this->sDbDetailFilter);
				} else {
					$bValidMaster = FALSE;
				}
			}
		}
		if ($bValidMaster) {

			// Save current master table
			$tbl_cruise_photo->setCurrentMasterTable($sMasterTblVar);

			// Reset start record counter (new master key)
			$this->lStartRec = 1;
			$tbl_cruise_photo->setStartRecordNumber($this->lStartRec);
			$tbl_cruise_photo->setMasterFilter($this->sDbMasterFilter); // Set up master filter
			$tbl_cruise_photo->setDetailFilter($this->sDbDetailFilter); // Set up detail filter

			// Clear previous master key from Session
			if ($sMasterTblVar <> "tbl_cruise") {
				if ($tbl_cruise_photo->cruise_id->QueryStringValue == "") $tbl_cruise_photo->cruise_id->setSessionValue("");
			}
		} else {
			$this->sDbMasterFilter = $tbl_cruise_photo->getMasterFilter(); //  Restore master filter
			$this->sDbDetailFilter = $tbl_cruise_photo->getDetailFilter(); // Restore detail filter
		}
	}

	// Page Load event
	function Page_Load() {

		//echo "Page Load";
	}

	// Page Unload event
	function Page_Unload() {

		//echo "Page Unload";
	}

	// Page Redirecting event
	function Page_Redirecting(&$url) {

		// Example:
		//$url = "your URL";

	}

	// Message Showing event
	function Message_Showing(&$msg) {

		// Example:
		//$msg = "your new message";

	}

	// Form Custom Validate event
	function Form_CustomValidate(&$CustomError) {

		// Return error message in CustomError
		return TRUE;
	}
}
?>
